<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if(isset($_GET['id'])){
	$id = intval($_GET['id']);
	}else{
		header("Location: /index.php");
		}

$admin = mysql_fetch_array(mysql_query("SELECT * FROM `community_user_incomm` WHERE `cid` = '$id' AND `uid` = '".$user['id']."'"));

$set['title'] = 'Правила &amp; '.$_SERVER['HTTP_HOST'];
include_once '../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

$comm = mysql_fetch_array(mysql_query('SELECT * FROM `community_comm` WHERE `id` = '.$id.' LIMIT 1'));
if(!isset($user)){
	echo '<div class="err">Доступ закрыт.</div>';
	}else if($id==0 || $id<0){
		echo '<div class="err">Иди нахуй! Хакер недоношеный!</div>';
		}else if($id!=$comm['id']){
			echo '<div class="err">Сообщество не найдено.</div>';
			}else if($admin['priv']!=2){
				echo '<div class="err">Доступ закрыт</div>';
				}else if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_ban` WHERE `id_user` = '$user[id]' AND `id_comm` = '$id' AND `time` > '$time'"), 0)!=0){
					header('Location: ban.php?id='.$id);
					}else{

if(isset($_POST['rules']) && $_POST['rules']!=NULL){
	$rules = esc(trim(stripcslashes($_POST['rules'])));

if(isset($_POST['translit']) && $_POST['translit']==1){
	$rules = translit($rules);
	}

if(strlen2($rules)<100 && strlen2($rules)>5000){
	header("Location: rules.php?id=$id&err=rules");
	exit;
	}

mysql_query("UPDATE `community_comm` SET `rules` = '".$rules."' WHERE `id` = '".$id."'");
header("Location: comm.php?id=$id&ok_rules");
}

if(isset($_GET['err']) && $_GET['err']=='rules'){
	msg('Правила должны быть от 100 до 5000 символов.');
	}

echo 'Придумайте правила для своего сообщества. Максимум можно написать 5000 символов.<br/>';
echo 'Так же Вы можете использовать bb-коды. Подробнее о них в разделе помощи.<br/>';
$comm = mysql_fetch_array(mysql_query("SELECT * FROM `community_comm` WHERE `id` = '$id' LIMIT 1"));
echo '<form method="post" action="rules.php?id='.$id.'">';
echo 'Правила:<br/><textarea name="rules">'.esc(trim(stripcslashes($comm['rules']))).'</textarea><br/>';

if($user['set_translit']==1){
	echo '<input type="checkbox" name="translit" value="1"> Транслит</input><br/>';
	}

echo '<input value="Изменить" type="submit"/></form>';

echo '&#187;&nbsp;<a href="comm.php?id='.$id.'">В сообщество</a><br/>';
}

echo '</div>';
include_once '../sys/inc/tfoot.php';
?>